Bug 1006269 - tests/basic/rpm.t takes too long
tests/basic/rpm.t takes too long
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: tests (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kaleb KEITHLEY
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 07:02 EDT by Kaleb KEITHLEY
Modified: 2013-10-07 08:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 08:24:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2013-09-10 07:02:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kaleb KEITHLEY 2013-09-10 07:03:48 EDT
Running mock builds serially takes 10+ minutes, this is the single longest test in the regression suite.

The mock builds can be run in parallel
Comment 2 Anand Avati 2013-09-10 07:07:04 EDT
REVIEW: http://review.gluster.org/5845 (tests/basic/rpm.t: run mock builds in parallel) posted (#12) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 3 Anand Avati 2013-09-10 16:40:26 EDT
COMMIT: http://review.gluster.org/5845 committed in master by Anand Avati (avati@redhat.com) 
------
commit 4c4aaa5abf68d4da8e3c626ab7a469b81354b9e2
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Fri Sep 6 10:12:55 2013 -0400

    tests/basic/rpm.t: run mock builds in parallel
    
    save about six minutes per regression by building in parallel
    
    Change-Id: Iaf6fa545e20b0322b10e9e4ab7cc3d4254a0ece5
    BUG: 1006269
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/5845
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 4 Anand Avati 2013-09-12 06:17:12 EDT
REVIEW: http://review.gluster.org/5899 (tests/basic/rpm.t: run mock builds inside the current working directory) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 5 Anand Avati 2013-09-12 09:33:07 EDT
REVIEW: http://review.gluster.org/5899 (tests/basic/rpm.t: run mock builds inside the current working directory) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 6 Anand Avati 2013-09-12 10:59:11 EDT
REVIEW: http://review.gluster.org/5899 (tests/basic/rpm.t: run mock builds inside the current working directory) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 7 Anand Avati 2013-09-12 16:45:57 EDT
COMMIT: http://review.gluster.org/5899 committed in master by Anand Avati (avati@redhat.com) 
------
commit df12400012af69f99dab62774244792b57c5178f
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Sep 12 12:15:10 2013 +0200

    tests/basic/rpm.t: run mock builds inside the current working directory
    
    When running multiple mock builds at the same time, the space
    requirements under /var/tmp increases as well. Not all systems (like
    build.gluster.org) have enough free space in /var/tmp to host two
    mock-roots, which causes building to fail randomly.
    
    Change-Id: Iff1064d01893fb35ef59650d4373105068b5d3f7
    BUG: 1006269
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/5899
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.